Create event for a lead
https://api.propexo.com/v1/events/leadsCreate a lead event for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the lead
The Propexo unique identifier for the event type
The Propexo unique identifier for the event result
The Propexo unique identifier for the event sub type
The Propexo unique identifier for the employee
The Propexo unique identifier for the unit. Only some PMS events use this, including "Show" and "Appointment"
The date when the event will occur
The reasons for the event
Notes associated with the event
Possible values: <= 256 characters
The date when the appointment will occur
The title associated with the event
The phone number that the call was made from. Required for call event types.
The phone number that the call was received on. Required for call event types.
The status of the call. Required for call event types.
Show 7 enum values
BUSYABANDONEDDISCONNECTEDFAILURE_TO_CONNECTNO_ANSWERANSWERVOICEMAILThe duration of the call in seconds. Required for call event types.
Possible values: >= 0 and <= 86400
The URL of the audio file for the call. This can be any valid URL and doesn't necessarily need to link to a audio file. Required for call event types.
The body of the email.
The subject of the email.
The email address that the email was sent from. Required for email outgoing event types.
The email address that the email was sent to. If specified, this must be the same email address as the lead's primary email address
The carbon copy email address that the email was sent to.
The blind carbon copy email address that the email was sent to.
Whether the email should be sent.
The status associated with the event
Show 5 enum values
LEASEDLOSTUNQUALIFIEDACTIVEFUTUREThe name or type of event
Show 20 enum values
CallToProspectCallFromProspectOtherWalkInChatEmailWebserviceAppointmentShowApplicationSelfGuidedTourApplicationApproveCancelApplicationApplicationDeniedHoldCancelAppointmentLeaseSignReleaseReturnVisitCall Recording URL of the appointment
The Propexo unique identifier for the lead source
The name of the leasing agent associated with the event
The rent amount in cents for the event. Required for LeaseSign event
Possible values: >= 0
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/events/leads \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}